gsw_enthalpy_diff {gsw} | R Documentation

## Specific Enthalpy Difference with Pressure

### Description

Specific enthalpy difference [ J/kg ].

### Usage

    gsw_enthalpy_diff(SA, CT, p_shallow, p_deep)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p_shallow` | pressure at a shallower depth [ dbar ]
`p_deep` | pressure at a deeper depth [ dbar ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

specific enthalpy difference [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_enthalpy_diff.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA <- c(  34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(  28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p_shallow <- c(10,      50,     125,     250,     600,    1000)
    p_deep <- c(  110,     150,     225,     350,     700,    1100)
    ed <- gsw_enthalpy_diff(SA, CT, p_shallow, p_deep)
    expect_equal(ed/1e2, c(9.784180644568052, 9.780195056105020, 9.759587700515114,
                           9.727552719534447, 9.708223170174454, 9.687871289079633))

[Package gsw version 1.0-5 Index]